petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetCoordinateSection

Retrieve the layout of coordinate values over the mesh.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetCoordinateSection(DM dm, PetscSection *section)

Not Collective

### Input Parameter

dm -The DM object

### Output Parameter

section -The PetscSection object

### Keywords

mesh, coordinates

### See Also

DMGetCoordinateDM(), DMGetSection(), DMSetSection()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages